#include "iodefine.h"
#include "typedefine.h"

#define TFTDATA  (*(volatile unsigned short*)0x08000000)
#define TFTCTRL  (*(volatile unsigned short*)0x08000002)
#define _COL_WHITE    (0xFFFF)
#define _COL_RED      (0xF800)
#define _COL_GREEN    (0x07E0)
#define _COL_BLUE     (0x001F)
#define _COL_BLACK    (0x0000)

void main(void);
void init_CS2(void);
void TFT_On(void);
void TFT_clear(void);
void TFT_draw_point(_UWORD, _UWORD, _UWORD);

volatile	_UWORD FrameBuf[320*240];

void main(void) {
  init_CS2();
  TFT_On();
  TFT_clear();
  TFT_draw_point(160, 120, _COL_BLACK);
  while(1);
}

void TFT_draw_point(_UWORD x_pix, _UWORD y_pix, _UWORD p_color) {
  // ̊֐쐬
}

void TFT_clear(void) {
  _SINT i;
  TFTCTRL = 0x4001;
  for (i = 0; i < (320*240); i++ ) {
    TFTDATA = _COL_WHITE;
  }
}

void TFT_On(void) {
  TFTCTRL = 0x4000;
}

void init_CS2(void) {
  BSC.CS2BCR.LONG = 0x12490400;
  BSC.CS2WCR      = 0x000302C0;
  PFC.PACRL4.BIT.PA15MD = 1;
  PFC.PACRL2.BIT.PA6MD  = 2;
}
